LockServiceMXBean (Apache Geode 1.15.4)

org.apache.geode.management

## Interface LockServiceMXBean

-     public interface LockServiceMXBean

  MBean that provides access to information and management functionality for a `DLockService`. Since any number of DLockService objects can be created by a member there may be 0 or more instances of this MBean available.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `becomeLockGrantor()` Requests that this member become the granter.
    `String` | `fetchGrantorMember()` Returns the name of the member which grants the lock.
    `int` | `getMemberCount()` Returns the number of members using this LockService.
    `String[]` | `getMemberNames()` Returns a list of names of the members using this LockService.
    `String` | `getName()` Returns the name of the lock service.
    `boolean` | `isDistributed()` Returns whether this is a distributed LockService.
    `boolean` | `isLockGrantor()` Returns whether this member is the granter.
    `String[]` | `listHeldLocks()` Returns a list of names of the locks held by this member's threads.
    `Map<String,String>` | `listThreadsHoldingLock()` Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the lock service.
      Returns:
        the name of the lock service

    - #### isDistributed

          boolean isDistributed()

      Returns whether this is a distributed LockService.
      Returns:
        True is this is a distributed LockService, false otherwise.

    - #### getMemberCount

          int getMemberCount()

      Returns the number of members using this LockService.
      Returns:
        the number of members using this LockService

    - #### fetchGrantorMember

          String fetchGrantorMember()

      Returns the name of the member which grants the lock.
      Returns:
        the name of the member which grants the lock

    - #### getMemberNames

          String[] getMemberNames()

      Returns a list of names of the members using this LockService.
      Returns:
        an array of names of the members using this LockService

    - #### isLockGrantor

          boolean isLockGrantor()

      Returns whether this member is the granter.
      Returns:
        True if this member is the granter, false otherwise.

    - #### becomeLockGrantor

          void becomeLockGrantor()

      Requests that this member become the granter.

    - #### listThreadsHoldingLock

          Map<String,String> listThreadsHoldingLock()

      Returns a map of the names of the objects being locked on and the names of the threads holding the locks.
      Returns:
        a map of the names of the objects being locked on and the names of the threads holding the locks

    - #### listHeldLocks

          String[] listHeldLocks()

      Returns a list of names of the locks held by this member's threads.
      Returns:
        an array of names of the locks held by this member's threads